Subject: [PATCH 02/12] phy: omap-control: Update DT binding information

From: [email-masked] (Roger Quadros)
Date: Wed, 5 Mar 2014 12:37:05 +0200

On 03/04/2014 06:28 PM, Tony Lindgren wrote:
> * Roger Quadros <[email-masked]> [140304 01:17]:
>> Hi Tony,
>>
>> On 03/03/2014 09:02 PM, Tony Lindgren wrote:
>>> * Roger Quadros <[email-masked]> [140303 07:10]:
>>>> Move omap-control binding information to the right location.
>>>>
>>>> Signed-off-by: Roger Quadros <[email-masked]>
>>>> ---
>>>>  Documentation/devicetree/bindings/phy/ti-phy.txt   | 25 ++++++++++++++++++++++
>>>>  Documentation/devicetree/bindings/usb/omap-usb.txt | 24 ---------------------
>>>>  2 files changed, 25 insertions(+), 24 deletions(-)
>>>>
>>>> diff --git a/Documentation/devicetree/bindings/phy/ti-phy.txt b/Documentation/devicetree/bindings/phy/ti-phy.txt
>>>> index 207e14c..41dc132 100644
>>>> --- a/Documentation/devicetree/bindings/phy/ti-phy.txt
>>>> +++ b/Documentation/devicetree/bindings/phy/ti-phy.txt
>>>> @@ -1,5 +1,30 @@
>>>>  TI PHY: DT DOCUMENTATION FOR PHYs in TI PLATFORMs
>>>>  
>>>> +OMAP CONTROL PHY
>>>> +
>>>> +Required properties:
>>>> + - compatible: Should be one of
>>>> + "ti,control-phy-otghs" - if it has otghs_control mailbox register as on OMAP4.
>>>> + "ti,control-phy-usb2" - if it has Power down bit in control_dev_conf register
>>>> +                        e.g. USB2_PHY on OMAP5.
>>>> + "ti,control-phy-pipe3" - if it has DPLL and individual Rx & Tx power control
>>>> +                        e.g. USB3 PHY and SATA PHY on OMAP5.
>>>> + "ti,control-phy-dra7usb2" - if it has power down register like USB2 PHY on
>>>> +                        DRA7 platform.
>>>> + "ti,control-phy-am437usb2" - if it has power down register like USB2 PHY on
>>>> +                        AM437 platform.
>>>
>>> To me it seems that you can leave out all the above. You can set these falgs
>>> flags directly in the driver based on the compatible flag. Then just initialize
>>> the .data in the driver based on the compatible flag.
>>
>> I'm not sure if I got you. A single platform can have different type of phys.
>>
>> e.g. OMAP5 has both usb2 and pipe3 PHYs,
>> DRA7 has both pipe3 and usb2 PHYs, but this usb2 PHY is not compatible with OMAP5 one
>> so we need a new compatible id for that.
>>
>> To add to the woes, the designers were creative enough to make another mutation to
>> the USB2 PHY for AM437x, :(
> 
> Oh OK, in that case the compatible flag may not be enough for configuring the
> various instances.
>  
>> What do you suggest the compatible ids should look like for these 5 types of PHY control?
>> OTGHS	(OMAP4 & 5)
>> USB2	(OMAP5)
>> PIPE3	(OMAP5 & DRA7)
>> USB2x	(DRA7)
>> USB2y	(AM437)
> 
> I think in that case having the various instances fully configurable from
> device tree is OK if you prefer that. But if you wanted to use the
> compatible flag, then you could do something like this:

I'll stick to the compatible flag.

> 
> ti,control-phy-omap4-otghs	(assuming same on omap4 & 5)
> ti,control-phy-omap5-usb2
> ti,control-phy-omap5-pipe3	(assuming same on omap5 & dra7)
> ti,control-phy-dra7-usb2x
> ti,control-phy-am437-usb2y

OK.

The last 2 can just be 

ti,control-phy-dra7-usb2
ti,control-phy-am437-usb2

cheers,
-roger